#include <iostream>
#include <vector>
#include <string>
using namespace std;

bool koraci[1000] = {false};
int rez[1000];

int main()
{
	ios_base::sync_with_stdio(false);

	int n, k, x;
	scanf("%d %d %d", &n, &k, &x);
	int i = 1;
	while(k != 0)
	{
		if(k - (n-i) >= 0)
		{
			k -= n - i;
			koraci[n - i] = true;
			i++;
		}
		else
		{
			k -= k;
			koraci[k] = true;
		}
	}
	long long tr = 1;
	for(int i = n - 1; i >= 0; i--)
	{
		if(koraci[n - i - 1] == true)
		{
			tr += x;
		}
		rez[i] = tr;
	}
	for(int i = 0; i < n; i++)
	{
		cout << rez[i];
		cout << " ";
	}
	return 0;
}